# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
rust-version = "1.55"
name = "sif-rtree"
version = "0.2.4"
authors = ["Adam Reichold <adam.reichold@t-online.de>"]
description = "simple, immutable, flat R-tree"
documentation = "https://docs.rs/sif-rtree"
readme = "README.md"
keywords = ["rtree"]
categories = [
    "data-structures",
    "simulation",
    "science::geo",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/adamreichold/sif-rtree"

[package.metadata.docs.rs]
all-features = true

[dependencies.num-traits]
version = "0.2"

[dependencies.serde]
version = "1.0"
features = ["derive"]
optional = true

[dev-dependencies.memmap2]
version = "0.7"

[dev-dependencies.proptest]
version = "1.1"

[dev-dependencies.rstar]
version = "0.11"
